# Stepwise

Stepwise (working title) is a traditional roguelike, with console-like graphics, built with [python-tcod](https://github.com/libtcod/python-tcod).

## Dimensions and Genres

Each time you start a run, a genre is chosen from a predefined list of **Dimensions**. Which dimension is chosen will dictate the rules for that run, altering the map generation and overall goals. Some talking monsters may change their dialog, or some monsters may only spawn in some dimensions but not others.

Some recurring elements will exist in all dimensions to provide some stability, but will often be warped to fit - for example, if the "fantasy" dimension has Cid, the Dwarven shopkeeper, the "sci-fi" dimension has C.I.D., the Customer Inventory Droid.

A working list of dimensions can be found in [dev-dimensions.md](dev-dimensions.md).

## Setup

I'm still figuring out how python works, but this is part of it.

```bash
#make the virtual environment
python3 -m venv venv
```

## Credits and links

Design, Coding: Kayne Ruse  
Design: Troy Brough  
Font: https://2bitcrook.itch.io/44-game-boy-fonts  

